battle = gamestate.new()

function battle:enter()
	local f = love.filesystem.load('battle/enemies/'..enemytype..'/init')
	f()
	f = love.filesystem.load('battle/player/init')
	f()
	local a = 1
	for i, v in ipairs(love.filesystem.enumerate('battle/enemies/'..enemytype)) do
		if v:find('.attack') then
			enemy.attack[a] = v
			print(a.." "..enemy.attack[a])
			a = a + 1
		end
	end
	f = love.filesystem.load('battle/enemies/'..enemytype..'/'..enemy.attack[math.random(#enemy.attack)])
	f()
end

function battle:keypressed(key)
	if key == ' ' and player.onground == 1 then
		player.onground = 0
		tween(0.5, player, {y = -150}, 'outQuad')
		player.image = img_player.jump
		timer.add(0.5, function()
			tween(0.5, player, {y = 0}, 'inQuad')
		end)
		timer.add(1, function()
			player.onground=1
			player.image = img_player.normal
		end)
	end
	
	if key == 'return' then
		local f = love.filesystem.load('battle/enemies/'..enemytype..'/'..enemy.attack[math.random(#enemy.attack)])
		f()
	end
end

function player_damage(health)
	player.health = player.health - health
	damage_message = {x = player.x, y = player.y, text = tostring(health), scale = 3, alpha = 255}
	tween(0.05, damage_message, {scale = 1})
	timer.add(0.5, function()
		tween(0.5, damage_message, {scale = 0.3, alpha = 0})
	end)
end

function battle:draw()
	love.graphics.setColor(255, 255, 255, 255)
	love.graphics.draw(enemy.image, enemy.x + battle_xshift, enemy.y + battle_yshift, 0, 1, 1, enemy.image:getWidth() / 2, enemy.image:getHeight())
	love.graphics.draw(player.image, player.x + battle_xshift, player.y + battle_yshift, 0, 1, 1, player.image:getWidth() / 2, player.image:getHeight())
	
	if damage_message then
		love.graphics.setFont(font_damage)
		love.graphics.setColor(255, 0, 0, damage_message.alpha)
		love.graphics.print(damage_message.text, damage_message.x + battle_xshift, damage_message.y + battle_yshift, 0, damage_message.scale, damage_message.scale)
	end
end